Subject: Re: v3 [PATCH net-next 4/7] ipv6: Check return of dev_set_allmulti

From: Patrick McHardy <[email-masked]>
Date: Mon, 07 Jul 2008 13:20:28 +0200

Wang Chen wrote:
> allmulti might overflow.
> Commit: "netdevice: Fix promiscuity and allmulti overflow" in net-next makes
> dev_set_promiscuity/allmulti return error number if overflow happened.
> 
> Here, we check the positive increment for allmulti to get error return.
> 
> @@ -627,13 +633,14 @@ static int mif6_add(struct mif6ctl *vifc, int mrtsock)
>  		if (!dev)
>  			return -EADDRNOTAVAIL;
>  		dev_put(dev);
> +		err = dev_set_allmulti(dev, 1);
> +		if (err)
> +			return err;

The use of dev after putting it looks wrong, but thats already
present before your patch. So ACK for your patch, but we need
a fix on top.